Update O Auth Provider Client
better-auth.session_token<token>
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Length
1 <= length <= 120uri?|unknown
redirectUris*array<>
Items
1 <= items <= 16requirePKCE*boolean
scopes*array<>
Items
1 <= itemstokenEndpointAuthMethod*string
Value in
- "client_secret_basic"
- "client_secret_post"
skipConsent*boolean
disabled*boolean
clientId*string
Match
^[A-Za-z0-9._~:-]+$Length
3 <= length <= 128Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/admin/updateOAuthProviderClient" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "redirectUris": [ "http://example.com" ], "requirePKCE": true, "scopes": [ "openid" ], "tokenEndpointAuthMethod": "client_secret_basic", "skipConsent": true, "disabled": true, "clientId": "string" }'null